Bug 1172635 - mingw-freetype: freetype: OOB stack-based read/write in cf2_hintmap_build() (incomplete fix for CVE-2014-2240). [fedora-20]
Summary: mingw-freetype: freetype: OOB stack-based read/write in cf2_hintmap_build() (...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-freetype
Version: 20
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Erik van Pienbroek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1172633
TreeView+ depends on / blocked
 
Reported: 2014-12-10 13:37 UTC by Vasyl Kaigorodov
Modified: 2015-01-09 03:01 UTC (History)
4 users (show)

Fixed In Version: mingw-freetype-2.5.4-1.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-02 05:01:48 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-12-10 13:37:41 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

fedora-20 tracking bug for mingw-freetype: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vasyl Kaigorodov 2014-12-10 13:37:46 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1172633,1172635

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1172633,1172635

Comment 2 Fedora Update System 2014-12-23 13:46:29 UTC
mingw-freetype-2.5.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mingw-freetype-2.5.4-1.fc21

Comment 3 Fedora Update System 2014-12-23 13:46:57 UTC
mingw-freetype-2.5.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-freetype-2.5.4-1.fc20

Comment 4 Fedora Update System 2014-12-23 13:47:17 UTC
mingw-freetype-2.5.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mingw-freetype-2.5.4-1.el7

Comment 5 Fedora Update System 2014-12-24 17:39:55 UTC
Package mingw-freetype-2.5.4-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mingw-freetype-2.5.4-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-4904/mingw-freetype-2.5.4-1.el7
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-01-02 05:01:48 UTC
mingw-freetype-2.5.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-01-02 05:04:33 UTC
mingw-freetype-2.5.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-01-09 03:01:37 UTC
mingw-freetype-2.5.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.